%add_findreq_skiplist %_sysconfdir/X11/xinit.d/*


Name: gnupg2
Version: 1.9.17
Release: alt2

Group: System/Libraries
Summary: The GNU Privacy Guard 2
License: GPL
Url: http://www.gnupg.org/

PreReq(post,preun): info-install

Provides: newpg = %version-%release
Obsoletes: newpg
Provides: gnupg-agent = %version-%release

Requires: alternatives >= 0.2.0

Source0: ftp://ftp.gnupg.org/gcrypt/alpha/gnupg/gnupg-%version.tar.bz2
Source1: gnupg-agent.sh
Patch1: gnupg-1.6.9-xloadimage.patch
Patch2: gnupg-1.9.15-gnupg2-info.patch
Patch3: gnupg-1.9.7-alt-TMPDIR.patch
Patch4: gnupg-1.9.17-fix-compile.patch

# Automatically added by buildreq on Tue Apr 06 2004 (-bi)
#BuildRequires: OpenSP alternatives docbook-dtds docbook-style-dsssl docbook-utils libassuan-devel libcap-devel libgcrypt-devel libgpg-error-devel libksba-devel libopensc-devel libpcsclite-devel libpth-devel libusb-devel sgml-common zlib-devel
BuildRequires: OpenSP alternatives docbook-dtds docbook-style-dsssl
BuildRequires: docbook-utils libcap-devel libgcrypt-devel
BuildRequires: libassuan-devel >= 0.6.9
BuildRequires: libgpg-error-devel libksba-devel
#BuildRequires: libopensc-devel libpcsclite-devel
BuildRequires: libpth-devel libusb-devel
BuildRequires: sgml-common zlib-devel

%description
GnuPG 1.9 is the future version of GnuPG; it is based on the gnupg-1.3
code and the previous newpg package.  It will eventually lead to a
GnuPG 2.0 release.

NOTE: this is a development version!

%prep
%setup -q -n gnupg-%version
%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
mv -f doc/gnupg.texi doc/gnupg2.texi
#%__aclocal
#%__autoconf
#%__automake
./autogen.sh

%build
%configure \
	--disable-rpath \
	--with-capabilities \
	--enable-gpg \
	--with-capabilities \
	--enable-m-guard \
	--disable-m-debug \
	--enable-symcryptrun \
	--without-included-gettext \
	--with-mailprog=%_sbindir/sendmail \
	--with-pinentry-pgm=%_bindir/pinentry \
	--libexecdir=%_libdir/gnupg \
	--with-pkits-tests
%make

%install
%make install DESTDIR=%buildroot

mkdir -p %buildroot/%_sysconfdir/profile.d/ %buildroot/%_sysconfdir/X11/xinit.d/
install -m 0755 %SOURCE1 %buildroot/%_sysconfdir/profile.d/gnupg-agent.sh
ln -s ../../profile.d/gnupg-agent.sh %buildroot/%_sysconfdir/X11/xinit.d/gnupg-agent.sh

%find_lang %name

#%post -p %post_ldconfig
#%postun -p %postun_ldconfig
%post
%install_info gnupg2.info
%postun
%uninstall_info gnupg2.info

%files -f %name.lang
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%_sysconfdir/X11/xinit.d/gnupg-agent.sh
%config(noreplace) %_sysconfdir/profile.d/gnupg-agent.sh
%_bindir/*
%_sbindir/*
%_libdir/gnupg
%_datadir/gnupg
%_infodir/*.info*

%changelog
* Wed Jun 22 2005 Sergey V Turchin <zerg at altlinux dot org> 1.9.17-alt2
- fix Patch4

* Tue Jun 21 2005 Sergey V Turchin <zerg at altlinux dot org> 1.9.17-alt1
- new version

* Fri Jan 21 2005 Sergey V Turchin <zerg at altlinux dot org> 1.9.15-alt1
- new version
- do not apply patch for $TMPDIR

* Tue Nov 02 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.12-alt1
- new version
- add patch for $TMPDIR
  thanks raorn@altlinux
- improve gnupg-agent.sh
  thanks raorn@altlinux

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.11-alt1
- new version

* Fri Aug 13 2004 Stanislav Ievlev <inger@altlinux.org> 1.9.7-alt2.1
- ported to new alternatives scheme

* Thu Jul 22 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.7-alt2
- fix gnupg-agent.sh about $GNUPGHOME

* Fri Apr 16 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.7-alt1
- new version

* Wed Apr 07 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.6-alt2
- build with gpg2
- rename package from newpg
- fix image viewver program name
- fix path to gpg-protect-tool
- fix package description

* Tue Apr 06 2004 Sergey V Turchin <zerg at altlinux dot org> 1.9.6-alt1
- new version
- build without gpg2
- add modyfied gnupg-agent.sh from PLD

* Mon Feb 09 2004 Sergey V Turchin <zerg at altlinux dot org> 0.9.4-alt3
- rebuild with new libpth

* Mon Sep 29 2003 Sergey V Turchin <zerg at altlinux dot org> 0.9.4-alt2
- rebuild with libopensc

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 0.9.4-alt1
- build for ALT

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.4-1mdk
- Update from Fabrice MARIE <fabrice-marie-sec@ifrance.com>

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.2-1mdk
- first package

